| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
HelloVTKForm.Form1 Class Reference
Inheritance diagram for HelloVTKForm.Form1:
[legend]
Collaboration diagram for HelloVTKForm.Form1:
[legend]

## Public Member Functions
| Form1 ()

## Protected Member Functions
override void | Dispose (bool disposing)
| Clean up any resources being used. More...

## Private Member Functions
void | renderWindowControl1_Load (object sender, EventArgs e)
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor. More...

## Private Attributes
System.ComponentModel.IContainer | components = null
| Required designer variable. More...
Kitware.VTK.RenderWindowControl | renderWindowControl1

## Constructor & Destructor Documentation

HelloVTKForm.Form1.Form1 | ( |  | ) |
| inline

References HelloVTKForm.Form1.InitializeComponent().

## Member Function Documentation

void HelloVTKForm.Form1.renderWindowControl1_Load | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

References HelloVTKForm.Form1.renderWindowControl1.

Referenced by HelloVTKForm.Form1.InitializeComponent().

override void HelloVTKForm.Form1.Dispose | ( | bool | disposing | ) |
| inline protected

Clean up any resources being used.

Parameters

  disposing | true if managed resources should be disposed; otherwise, false.

References HelloVTKForm.Form1.components.

void HelloVTKForm.Form1.InitializeComponent | ( |  | ) |
| inline private

Required method for Designer support - do not modify the contents of this method with the code editor.

References HelloVTKForm.Form1.renderWindowControl1, and HelloVTKForm.Form1.renderWindowControl1_Load().

Referenced by HelloVTKForm.Form1.Form1().

## Member Data Documentation

System.ComponentModel.IContainer HelloVTKForm.Form1.components = null
| private

Required designer variable.

Referenced by HelloVTKForm.Form1.Dispose().

Kitware.VTK.RenderWindowControl HelloVTKForm.Form1.renderWindowControl1
| private

Referenced by HelloVTKForm.Form1.InitializeComponent(), and HelloVTKForm.Form1.renderWindowControl1_Load().

The documentation for this class was generated from the following files:

- extensions/igplot3d/plot3d/vtkbased/Forms/testforms/VtkExample/Form1.cs
- extensions/igplot3d/plot3d/vtkbased/Forms/testforms/VtkExample/Form1.Designer.cs